Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NumberMultiplier Class Reference

`#include <coherence/util/processor/NumberMultiplier.hpp>`

Inherits PropertyProcessor.

List of all members.

## Detailed Description

The NumberMultiplier entry processor is used to multiply a property value of a Number type.

Supported types are: Byte, Short, Integer, Long, Float, Double, BigInteger and BigDecimal.

Author:
  tb 2008.04.28

## Public Types
typedef spec::Handle | Handle
| NumberMultiplier Handle definition.
typedef spec::View | View
| NumberMultiplier View definition.
typedef spec::Holder | Holder
| NumberMultiplier Holder definition.
## Public Member Functions
virtual Object::Holder | process (InvocableMap::Entry::Handle hEntry) const
  | Process a Map::Entry object. Parameters:
  | hEntry | the Entry to process
Returns: the result of the processing, if any
virtual void | readExternal (PofReader::Handle hIn)
virtual void | writeExternal (PofWriter::Handle hOut) const
virtual void | outputDescription (std::ostream &out) const
  | Output a human-readable description of the state of this class in the form of a delimited list of name-value pairs. Generally it is also advisable to start with a call to super::outputDescription(out) The default implementation does not output anything to the stream. Parameters:
  | out | the stream to output the description to
## Protected Member Functions
| NumberMultiplier ()
| Construct an NumberMultiplier processor.
| NumberMultiplier (ValueManipulator::View vManipulator, Number::View vNumFactor, bool fPostFactor)
| Construct an NumberMultiplier processor that will increment a property value by a specified amount, returning either the old or the new value as specified.
## Protected Attributes
MemberView< Number > | m_vNumFactor
| The number to multiply by.
bool | m_fPostFactor
| Whether to return the value before it was multiplied ("post-factor") or after it is multiplied ("pre-factor").

## Constructor & Destructor Documentation

NumberMultiplier | ( | ValueManipulator::View | vManipulator,
|  | Number::View | vNumFactor,
|  | bool | fPostFactor |
| ) |  |  | `[protected]`

Construct an NumberMultiplier processor that will increment a property value by a specified amount, returning either the old or the new value as specified.

The type of the vNumFactor parameter will dictate the type of the original and the new value.

Parameters:

  | vManipulator | the ValueManipulator; could be null
  | vNumFactor | the Number representing the magnitude and sign of the increment
  | fPostFactor | pass true to return the value as it was before it was incremented, or pass false to return the value as it is after it is incremented

The documentation for this class was generated from the following file:

- coherence/util/processor/NumberMultiplier.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.